### File

`packages/ecl/components/ecl-file/ecl-file-taxonomy/ecl-file-taxonomy.component.ts`

### Description

Component representing the taxonomy section of a file in the ECL File component.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-file-taxonomy`
templateUrl | `./ecl-file-taxonomy.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
CSS classes applied to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element. Returns : `string`

# results matching ""

# No results matching ""